{
  "schema_version": "1.4.0",
  "id": "GHSA-mmcm-g586-7f43",
  "modified": "2022-05-14T03:50:14Z",
  "published": "2022-05-14T03:50:14Z",
  "aliases": [
    "CVE-2017-7395"
  ],
  "details": "In TigerVNC 1.7.1 (SMsgReader.cxx SMsgReader::readClientCutText), by causing an integer overflow, an authenticated client can crash the server.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-7395"
    },
    {
      "type": "WEB",
      "url": "https://github.com/TigerVNC/tigervnc/pull/436"
    },
    {
      "type": "WEB",
      "url": "https://github.com/TigerVNC/tigervnc/pull/436/commits/bf3bdac082978ca32895a4b6a123016094905689"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2017:2000"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201801-13"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/97305"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-04-01T02:59:00Z"
  }
}